#
# Conditional build:
%bcond_without	asm	# x86 assembler

Summary:	VP8, a high-quality video codec
Summary(pl.UTF-8):	VP8 - kodek obrazu wysokiej jakości
Name:		libvpx
Version:	1.1.0
Release:	1
License:	BSD
Group:		Libraries
# Source0Download: http://code.google.com/p/webm/downloads/list
Source0:	https://webm.googlecode.com/files/%{name}-v%{version}.tar.bz2
# Source0-md5:	7ae163ac3196c79ec2f0904280078a45
URL:		http://www.webmproject.org/
BuildRequires:	/usr/bin/php
BuildRequires:	doxygen
BuildRequires:	php-common >= 4:5.0.0
BuildRequires:	php-pcre
BuildRequires:	sed >= 4.0
%ifarch %{ix86} %{x8664}
%{?with_asm:BuildRequires:	yasm >= 0.8}
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	generic_target	generic-gnu
%define	vpxtarget	%{generic_target}
%ifarch %{x8664}
%define	vpxtarget	x86_64-linux-gcc
%endif
%ifarch %{ix86}
%define	vpxtarget	x86-linux-gcc
%endif
%ifarch ppc
%define	vpxtarget	ppc32-linux-gcc
%endif
%ifarch ppc64
%define	vpxtarget	ppc64-linux-gcc
%endif

%description
VP8, a high-quality video codec.

%description -l pl.UTF-8
VP8 - kodek obrazu wysokiej jakości.

%package devel
Summary:	Header files for libvpx
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libvpx
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libvpx library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libvpx.

%package static
Summary:	Static libvpx library
Summary(pl.UTF-8):	Statyczna biblioteka libvpx
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libvpx library.

%description static -l pl.UTF-8
Statyczna biblioteka libvpx.

%prep
%setup -q -n %{name}-v%{version}

%build
install -d obj
cd obj
# not autoconf configure
CFLAGS="%{rpmcflags} %{rpmcppflags}" \
../configure \
%if %{with asm}
	--as=yasm \
%endif
	--target=%{vpxtarget} \
%if "%{vpxtarget}" != "%{generic_target}"
	--enable-shared \
%endif
	--disable-optimizations \
	--enable-vp8 \
	--enable-postproc \
	--enable-runtime-cpu-detect

%{__make} verbose=true target=libs \
	HAVE_GNU_STRIP=no \
	CC="%{__cc}" \
	LD="%{__cc}" \
	LDFLAGS="%{rpmldflags}"

%{__make} verbose=true target=examples \
	CC="%{__cc}" \
	LD="%{__cc}" \
	LDFLAGS="%{rpmldflags} -L."
%{__make} verbose=true target=docs

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_includedir}/vpx,%{_libdir}}

%{__make} -C obj verbose=true install \
	LIBSUBDIR=%{_lib} \
	DIST_DIR=$RPM_BUILD_ROOT%{_prefix}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libvpx.so.1.1

# adjust prefix and libdir
%{__sed} -i -e 's,^prefix=.*,prefix=%{_prefix},;s,^libdir=.*,libdir=%{_libdir},' $RPM_BUILD_ROOT%{_pkgconfigdir}/vpx.pc

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG LICENSE PATENTS README
%attr(755,root,root) %{_bindir}/vp8_scalable_patterns
%attr(755,root,root) %{_bindir}/vpxdec
%attr(755,root,root) %{_bindir}/vpxenc
%attr(755,root,root) %{_libdir}/libvpx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvpx.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libvpx.so
%{_includedir}/vpx
%{_pkgconfigdir}/vpx.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libvpx.a
%changelog
* Wed Oct 10 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libvpx.git;a=log;h=master

* Fri Oct 05 2012 Elan Ruusamäe <glen@delfi.ee> 6195646
fix misplaced if

* Sat Aug 11 2012 Elan Ruusamäe <glen@delfi.ee> e1331b3
 add ppc/ppc64 targets. enable shared does not work on generic target

* Thu Aug 02 2012 Elan Ruusamäe <glen@delfi.ee> 7fb2034
up to 1.1.0

* Thu Aug 02 2012 Elan Ruusamäe <glen@delfi.ee> 3c828a1
requires yasm >= 0.8

* Fri Mar 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 1c3357c
- updated to 1.0.0 (note: new soname; also fixes an OOB read decoder crash)

* Tue Dec 27 2011 Elan Ruusamäe <glen@pld-linux.org> 88a083f
- update to p1:
  2011-08-15 v0.9.7-p1 "Cayuga" patch 1
  Fix potential OOB reads (cdae03a)

* Sun Aug 07 2011 Jakub Bogusz <qboosh@pld-linux.org> 9026bd8
- updated to 0.9.7
- removed obsolete 0.9.0-no-explicit-dep-on-static-lib patch and unused external libvpx.ver
- package vpx.pc (adjusting wrt. proper prefix and libdir)

* Wed Mar 09 2011 Karol Krenski <charles@pld-linux.org> dcde509
- updated to 0.9.6

* Sat Jan 08 2011 Elan Ruusamäe <glen@pld-linux.org> 938aec6
- disable possible strip via HAVE_GNU_STRIP=no
- use make install to install files

* Fri Jan 07 2011 Jan Palus <jan.palus@gmail.com> 6c7c0f8
- drop broken manual shared linking and --enable-shared
- use %{rpmldflags}
- rel 2

* Mon Nov 01 2010 Jakub Bogusz <qboosh@pld-linux.org> d5d8293
- pl
- BR yasm only on x86
- actually use optflags (pass by configure instead of outdated sed rule)

* Sun Oct 31 2010 Elan Ruusamäe <glen@pld-linux.org> 946a004
- up to 0.9.5

* Wed Sep 15 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 34eceac
- up to 0.9.2

* Fri Jun 18 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ac10c7c
- up to 0.9.1

* Fri Jun 04 2010 Elan Ruusamäe <glen@pld-linux.org> 47f853c
- do not package shared lib in devel, but symlink; rel 4

* Thu May 27 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5cb6536
- rel 3; x86_64 asm optimized now; nicer way of linking shared lib; export only required symbols not all crap

* Sun May 23 2010 Elan Ruusamäe <glen@pld-linux.org> 1354255
- undo more overwrite in r1.3

* Fri May 21 2010 Elan Ruusamäe <glen@pld-linux.org> c9ee805
- revert changelog overwrite, cosmetics

* Thu May 20 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d813c89
- rel 2

* Thu May 20 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 955bbb6
- rel 1; no asm on x86_64 due to PIC problems

